Skip to main content
GET
Get thread

Authorizations

Authorization
string
header
required

Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.

Headers

x-team-id
string | null

ID of the team to use for the request. If omitted, the request uses your personal workspace.

Path Parameters

thread_id
string
required

ID of the thread.

Response

Success

A thread is a top-level conversation container.

Threads can contain multiple messages from various assistants and users, providing a complete history of an interaction sequence.

id
string
required

ID of the thread.

created_at
string<date-time>
required

Time the resource was created, in ISO 8601 format.

object
string
default:thread

Object type. Always thread.

status
enum<string>
default:available

Available status for a thread.

Available options:
available,
locked
active_run_id
string | null

ID of the run that is currently active on the thread.

meta_data
Meta Data · object

Key-value pairs you attach to the resource.

Last modified on July 31, 2026